namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 非Dicom标记")]
[Table("ReadingNoneDicomMark")]
public class ReadingNoneDicomMark : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("StudyId")]
    public NoneDicomStudy NoneDicomStudy { get; set; }
    #endregion

    public Guid VisitTaskId { get; set; }

    public Guid? StudyId { get; set; }
    public Guid? NoneDicomFileId { get; set; }
    
    public string Path { get; set; }

    [MaxLength]
    public string MeasureData { get; set; } = string.Empty;


}
