﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class imagesetting : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ImageFormatList",
                table: "Trial",
                type: "nvarchar(2000)",
                maxLength: 2000,
                nullable: false,
                defaultValue: "[]");

            migrationBuilder.AddColumn<bool>(
                name: "IsShowStudyName",
                table: "Trial",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "StudyNameList",
                table: "Trial",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "[]");

            migrationBuilder.AddColumn<string>(
                name: "StudyName",
                table: "NoneDicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "StudyName",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ImageFormatList",
                table: "Trial");

            migrationBuilder.DropColumn(
                name: "IsShowStudyName",
                table: "Trial");

            migrationBuilder.DropColumn(
                name: "StudyNameList",
                table: "Trial");

            migrationBuilder.DropColumn(
                name: "StudyName",
                table: "NoneDicomStudy");

            migrationBuilder.DropColumn(
                name: "StudyName",
                table: "DicomStudy");
        }
    }
}
