﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class HistoryFileRecord : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TrialNormalRecord_TrialFile_HistoryFileId",
                table: "TrialNormalRecord");

            migrationBuilder.RenameColumn(
                name: "HistoryFileId",
                table: "TrialNormalRecord",
                newName: "HistoryFileRecordId");

            migrationBuilder.RenameIndex(
                name: "IX_TrialNormalRecord_HistoryFileId",
                table: "TrialNormalRecord",
                newName: "IX_TrialNormalRecord_HistoryFileRecordId");

            migrationBuilder.AddForeignKey(
                name: "FK_TrialNormalRecord_TrialFile_HistoryFileRecordId",
                table: "TrialNormalRecord",
                column: "HistoryFileRecordId",
                principalTable: "TrialFile",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TrialNormalRecord_TrialFile_HistoryFileRecordId",
                table: "TrialNormalRecord");

            migrationBuilder.RenameColumn(
                name: "HistoryFileRecordId",
                table: "TrialNormalRecord",
                newName: "HistoryFileId");

            migrationBuilder.RenameIndex(
                name: "IX_TrialNormalRecord_HistoryFileRecordId",
                table: "TrialNormalRecord",
                newName: "IX_TrialNormalRecord_HistoryFileId");

            migrationBuilder.AddForeignKey(
                name: "FK_TrialNormalRecord_TrialFile_HistoryFileId",
                table: "TrialNormalRecord",
                column: "HistoryFileId",
                principalTable: "TrialFile",
                principalColumn: "Id");
        }
    }
}
