﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class TrianingState : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "TrianingState",
                table: "TrialTrianingRecord",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: true,
                comment: "培训效果",
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true,
                oldComment: "培训效果");

            migrationBuilder.AddColumn<Guid>(
                name: "FileRecordId",
                table: "TrialFileType",
                type: "uniqueidentifier",
                nullable: true,
                comment: "文件Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "FileRecordId",
                table: "TrialFileType");

            migrationBuilder.AlterColumn<int>(
                name: "TrianingState",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: true,
                comment: "培训效果",
                oldClrType: typeof(string),
                oldType: "nvarchar(400)",
                oldMaxLength: 400,
                oldNullable: true,
                oldComment: "培训效果");
        }
    }
}
