﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class nonedicomStudyIsReading : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            //migrationBuilder.DropColumn(
            //    name: "IsAuthorizedView",
            //    table: "TrialFileType");

            migrationBuilder.AddColumn<Guid>(
                name: "DeleteUserId",
                table: "NoneDicomStudyFile",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "DeletedTime",
                table: "NoneDicomStudyFile",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsDeleted",
                table: "NoneDicomStudyFile",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsReading",
                table: "NoneDicomStudyFile",
                type: "bit",
                nullable: false,
                defaultValue: true);

            migrationBuilder.AddColumn<Guid>(
                name: "DeleteUserId",
                table: "NoneDicomStudy",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "DeletedTime",
                table: "NoneDicomStudy",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsDeleted",
                table: "NoneDicomStudy",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsReading",
                table: "NoneDicomStudy",
                type: "bit",
                nullable: false,
                defaultValue: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DeleteUserId",
                table: "NoneDicomStudyFile");

            migrationBuilder.DropColumn(
                name: "DeletedTime",
                table: "NoneDicomStudyFile");

            migrationBuilder.DropColumn(
                name: "IsDeleted",
                table: "NoneDicomStudyFile");

            migrationBuilder.DropColumn(
                name: "IsReading",
                table: "NoneDicomStudyFile");

            migrationBuilder.DropColumn(
                name: "DeleteUserId",
                table: "NoneDicomStudy");

            migrationBuilder.DropColumn(
                name: "DeletedTime",
                table: "NoneDicomStudy");

            migrationBuilder.DropColumn(
                name: "IsDeleted",
                table: "NoneDicomStudy");

            migrationBuilder.DropColumn(
                name: "IsReading",
                table: "NoneDicomStudy");

            //migrationBuilder.AddColumn<bool>(
            //    name: "IsAuthorizedView",
            //    table: "TrialFileType",
            //    type: "bit",
            //    nullable: false,
            //    defaultValue: false,
            //    comment: "是否授权查看");
        }
    }
}
