﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class TrianingRecordNull : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<int>(
                name: "TrianingState",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: true,
                comment: "培训效果",
                oldClrType: typeof(int),
                oldType: "int",
                oldComment: "培训效果");

            migrationBuilder.AlterColumn<int>(
                name: "TrianingCount",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "int");

            migrationBuilder.AlterColumn<int>(
                name: "State",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "int");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<int>(
                name: "TrianingState",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: false,
                defaultValue: 0,
                comment: "培训效果",
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true,
                oldComment: "培训效果");

            migrationBuilder.AlterColumn<int>(
                name: "TrianingCount",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true);

            migrationBuilder.AlterColumn<int>(
                name: "State",
                table: "TrialTrianingRecord",
                type: "int",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true);
        }
    }
}
